=== faq/SGML/Makefile ===
# $Id: Makefile,v 1.1 2001/04/16 11:07:51 marcs Exp $

all: FAQ.sgml
	sgml2txt FAQ.sgml

clean:
	rm -f FAQ.txt
